/**
 * Tiny Portfolio Scripts
 * Version: 1.0.0
 */

var TP = window.TP || {};
window.TP = TP;

(function($){
 	 "use strict";

 	TP.getQueryVariable = function(variable) {
       var query = window.location.search.substring(1);
       var vars = query.split("&");
       for (var i=0;i<vars.length;i++) {
               var pair = vars[i].split("=");
               if(pair[0] == variable){return pair[1];}
       }
       return(false);
    }

    TP.YouTubeGetID = function(url){
	  var ID = '';
	  url = url.replace(/(>|<)/gi,'').split(/(vi\/|v=|\/v\/|youtu\.be\/|\/embed\/)/);
	  if(url[2] !== undefined) {
	    ID = url[2].split(/[^0-9a-z_\-]/i);
	    ID = ID[0];
	  }
	  else {
	    ID = url;
	  }
	    return ID;
	}

	TP.singlePortfolio  = function(){

		var gridItem = $('.tp-portfolio .grid-item');

		if($(window).width() >= 768) {
			$(".tp-single-portfolio .tp-media").niceScroll({
				zindex: 10000,
				emulatetouch: true
			});

			$(".tp-single-portfolio .tp-content").niceScroll({
				zindex: 10000,
				emulatetouch: true
			});
		} else {
			$(".tp-single-portfolio").niceScroll({
				zindex: 10000,
				emulatetouch: true
			});
		}

		gridItem.each(function(){
			var title = $(this).attr('data-title'),
  				content = $(this).attr('data-content'),
  				images = $(this).attr('data-images'),
  				video = $(this).attr('data-video'),
  				audio = $(this).attr('data-audio'),
  				services = $(this).attr('data-services'),
  				date = $(this).attr('data-date'),
  				client = $(this).attr('data-client'),
  				type = $(this).attr('data-type');

			var imageArray = typeof images !== 'undefined' ? images.split('|') : [];
			var imageHTML = '';
			var detailItem = '';
			var videoHTML = '';
			var audioHTML = '';

			$(this).find('.grid-thumbnail').on('click', function(){
				$('body').css('overflow', 'hidden');
				$('.tp-single-portfolio').addClass(type).fadeIn();
				$('.tp-single-portfolio-overlay').fadeIn();
				$('.tp-portfolio-title').text(title);
				$('.tp-entry-content').html(content);
				$('.tp-single-portfolio .tp-content').getNiceScroll().resize();

				detailItem += services !== '' ? '<p>'+tp_data.string_service+': '+ services +'</p>' : '';
				detailItem += client !== '' ? '<p>'+tp_data.string_client+': '+ client +'</p>' : '';
				detailItem += date !== '' ? '<p>'+tp_data.string_date+': '+ date +'</p>' : '';
				$('.tp-portfolio-details').html(detailItem);

				if(type === 'image') {
					// Insert Images
					if(imageArray.length > 0){
						for(var i in imageArray){
							imageHTML += '<img src="'+imageArray[i]+'" />';
						}
						$('.tp-single-portfolio .tp-media').html('<div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>' + imageHTML);
						$('.tp-single-portfolio .tp-media img').imagesLoaded(function(){
							$('.tp-single-portfolio .tp-media img').fadeIn();
							$('.tp-single-portfolio .tp-media .lds-ellipsis').fadeOut();
							$('.tp-single-portfolio .tp-media').getNiceScroll().resize();
							$('.tp-single-portfolio').getNiceScroll().resize();
						});
					}
				}

				if(type === 'video' && video !== '') {
					// Insert Video
					var videoUrlParts = video.replace('http://','').replace('https://','').split(/[/?#]/);
					var videoSite = videoUrlParts[0];
					var videoID = '';

					if( videoSite === 'youtube.com' || videoSite === 'youtu.be' || videoSite === 'www.youtube.com'){
						videoID = TP.YouTubeGetID(video);
						videoHTML = '<div class="tp-video-container youtube"><iframe width="560" height="315" src="https://youtube.com/embed/'+videoID+'" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>';
						$('.tp-media').html(videoHTML);
					}else if( videoSite === 'vimeo.com' || videoSite === 'www.vimeo.com' ) {
						videoID = videoUrlParts[1];
						videoHTML = '<div class="tp-video-container vimeo"><iframe src="https://player.vimeo.com/video/'+videoID+'?color=ffffff&title=0&byline=0&badge=0" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>';
						$('.tp-media').html(videoHTML);
					}


				}

				if(type === 'audio' && audio !== '') {
					audioHTML = '<iframe scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url='+audio+'"></iframe>';
					$('.tp-media').html(audioHTML);
				}
			});

			$('.tp-single-portfolio .tp-close').on('click', function(){
				$('body').css('overflow', 'auto');
				$('.tp-single-portfolio').removeClass(type).fadeOut();
				$('.tp-single-portfolio-overlay').fadeOut();

				$('.tp-portfolio-title').empty();
				$('.tp-entry-content').empty();
				$('.tp-media').empty();
				$('.tp-portfolio-details').empty();
			 	imageHTML = '';
				detailItem = '';
			});
		});
	}

	TP.infiniteScroll = function(){

		var container = $('.tp-portfolio');

		if(container.attr('data-infinite') !== '1'){
			return false;
		}

    var scrollThreshold = container.attr('data-load-more-button') == '1' ? false : true;

		container.each(function(){

			var id = container.attr('id');

			if( $('.tp-next-link').length > 0 ){

				$(this).infiniteScroll({
				  	path: '#'+$('.tp-next-link').attr('id'),
				  	append: false,
				  	history: false,
				  	status: '.tp-load-status',
            button: '.view-more-button',
            scrollThreshold: scrollThreshold
				});

				$(this).on( 'load.infiniteScroll', function(event, response) {
					// get posts from response
					var $new_items = $(response).find('.grid-item');
					$(this).infiniteScroll('appendItems', $new_items );
					TP.singlePortfolio();
				});
			}
		});
	}

	TP.init = function(){
		TP.singlePortfolio();
		TP.infiniteScroll();
	}

	TP.init();

})(jQuery);
